#ifndef XITONGSHEZHI_H
#define XITONGSHEZHI_H

#include <QWidget>
#include <QLineEdit>
#include <QPushButton>
#include <QLabel>
#include <QComboBox>
#include <keyboard.h>
#include <QFrame>
#include <QPropertyAnimation>
#include <QParallelAnimationGroup>
#include <QDebug>
#include <QMouseEvent>
#include <QFile>
#include <QTableView>
#include <QStandardItemModel>

extern bool lowpower_mode_flag1;
extern bool cspz_flag,wlpz_flag;
static QString version="软件版本号：A20230830test";

namespace Ui {
class xitongshezhi;
}

class xitongshezhi : public QWidget
{
    Q_OBJECT

public:
    explicit xitongshezhi(QWidget *parent = nullptr);
    ~xitongshezhi();

    bool eventFilter(QObject *watched, QEvent *event);
    void xtsz_page(int a);//参数配置显示页数
    void setback_color();
    void label_xtsz_1_show(int a);
    void label_xtsz_2_show(int a);
    void label_xtsz_3_show(int a);
private slots:

    void label_xtsz_0_1_clicked();
    void label_xtsz_0_2_clicked();
    void label_xtsz_0_3_clicked();

    void on_pushButton_zhujiemian_clicked();

    void on_pushButton_wangluoxinxi_clicked();

    void on_pushButton_canshushezhi_clicked();

    void on_pushButton_xitongshezhi_clicked();

    void xtsz_shebei_page();
    void xtsz_xianshi_page();
    void xtsz_error_record_page();

    void button_xtsz_1_1_Clicked();

    void button_xtsz_2_1_Clicked();
    void button_xtsz_2_2_Clicked();
    void button_xtsz_2_3_Clicked();
    void button_xtsz_2_4_Clicked();
    void button_xtsz_2_5_Clicked();

private:
    Ui::xitongshezhi *ui;

    QTableView *tableView_error;
    QStandardItemModel* model_error = new QStandardItemModel();

    QLabel *label_xtsz_0_1;//左右滑动切换页面label（4G配置）
    QLabel *label_xtsz_0_2;//左右滑动切换页面label（LORA配置）
    QLabel *label_xtsz_0_3;

    QLabel *label_xtsz_1_1;
    QLabel *label_xtsz_1_2;
    QLabel *label_xtsz_1_3;
    QPushButton *button_xtsz_1_1;//弹窗配置

    QLabel *label_xtsz_2_1;
    QPushButton *button_xtsz_2_1;
    QPushButton *button_xtsz_2_2;
    QPushButton *button_xtsz_2_3;
    QPushButton *button_xtsz_2_4;
    QPushButton *button_xtsz_2_5;

    QLabel *label_xtsz_3_1;//故障记录

};

#endif // XITONGSHEZHI_H
